﻿using System;
using System.Collections.Generic;
using System.Text;
using Zcu.Mve.Core;
using Zcu.Mve.Numerics;

namespace Zcu.Mve.Numerics
{
    class Scalar2IntegerConvertor:Module
    {
        public Scalar2IntegerConvertor()
        {
            AddInPort("Scalar", typeof(Scalar));
            AddOutPort("Integer", typeof(Integer));
        }

        Integer result;

        public override void  Execute()
        {
         	if (IsAllDataSame())
            {
                SetOutput("Integer", result, true);
            }
            else
            {
                Scalar input = (Scalar)GetInput("Scalar");
                result = new Integer((int)Math.Round(input.Value));
                SetOutput("Integer", result);
            }
        }
    }
}
