using System;
using System.Collections.Generic;
using System.Text;
using Zcu.Mve.Core;
using Zcu.Mve.Visualization;
using System.Reflection;
using System.Diagnostics;
using Zcu.Mve.Numerics;
using Zcu.Mve.Strings;

namespace Zcu.Mve.Testing
{
    /// <summary>
    /// Dummy module
    /// </summary>
    class DummyModule : Zcu.Mve.Core.Module
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public DummyModule()
        {
            AddOutPort("Output", typeof(RegGridND));
        }

        /// <inheritdoc />
        public override void Execute()
        {
            RegGridND grid = new RegGridND(10, 10, 10);
            grid.UserTags["cislo"] = new Integer(10);
            grid.UserTags["cislo2"] = new Scalar(3.14);
            grid.UserTags["retezec"] = new MveString("Nazdar");
            SetOutput("Output", grid);
        }
    }
}
