using System;
using System.Collections.Generic;
using System.Text;
using Zcu.Mve.Core;

namespace Zcu.Mve.Visualization
{
    /// <summary>
    /// Interface that represents a color vector.
    /// </summary>
    [DataObject("Interface that represents a color vector.")]
    public interface IColorVector : IDataObject
    {
        /// <summary>
        /// Get/Set element of vector.
        /// </summary>
        byte this[int index]
        {
            get;
            set;
        }

        /// <summary>
        /// Get number of elements of vector.
        /// </summary>
        int Length
        {
            get;
        }
    }    
}
